Subject: bug#19709: [PATCH] Verify that indentation works with current cperl-mode

From: [email-masked] (Harald Jörg)
Date: Mon, 09 Nov 2020 17:06:06 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> [...]
> Thanks; applied to Emacs 28.  One note:
>
>> +            (while (null (eobp))
>> +              (cperl-indent-command)
>> +              (next-line))
>
> Is this on purpose to test `next-line'?   If it is, this warning should
> probably be inhibited:
> 
> lisp/progmodes/cperl-mode-tests.el:284:16: Warning: ‘next-line’ is for
>     interactive use only; use ‘forward-line’ instead.

Nah - that's still me fighting with Emacs Lisp vocabulary.  Sorry for
that.  I'll replace it with (forward-line 1).

I should submit a patch anyway since I've found that the usage of
setq-local for a list of variables isn't available in Emacs 26, and I
want to run the tests in that version, too.

--
Thanks for reminding me,
haj